### Method

# Vte Terminal copy_clipboard_format

since: 0.50

#### Declaration [src]

    void
    vte_terminal_copy_clipboard_format (
      VteTerminal* terminal,
      VteFormat format
    )

#### Description [src]

Places the selected text in the terminal in the #GDK_SELECTION_CLIPBOARD selection in the form specified by `format`.

For all formats, the selection data (see `GtkSelectionData`) will include the text targets (see `gtk_target_list_add_text_targets()` and gtk_selection_data_targets_includes_text()). For `VTE_FORMAT_HTML`, the selection will also include the “text/html” target, which when requested, returns the HTML data in UTF-16 with a U+FEFF BYTE ORDER MARK character at the start.

Available since: 0.50

#### Parameters

`format`

  Type: `VteFormat`

  A `VteFormat`.